Bug 273270 - kate: documents opened when Documents list is in List Mode get wrong icon
Summary: kate: documents opened when Documents list is in List Mode get wrong icon
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-14 16:34 UTC by missive
Modified: 2011-06-25 10:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description missive 2011-05-14 16:34:23 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

(Application version 3.6.2 is not listed in the Application Version selector on the bug reporting web page. This report is for Kate 3.6.2 in KDE 4.6.2)

Each document in the Documents list gets a small icon helping to identify what kind of file it is. Python files have a small Python logo, C files have a letter C, etc.

When the Documents list is in View Mode -> List Mode, opening another file adds that file to the Documents list, but fails to give it the proper icon.

In View Mode -> Tree Mode the icons are properly set. Also, switching from List Mode to Tree Mode and back to List Mode will cause the icons to be updated to the proper icon.


Reproducible: Always

Steps to Reproduce:
1. Start Kate
2. Expand Documents list
3. Switch Documents list to View Mode -> List Mode
4. Open a file with a known file type icon


Actual Results:  
Listing in Documents list gets generic icon instead of proper file type icon.


Expected Results:  
Listing in Documents list gets proper file type icon.


OS: Linux (i686) release 2.6.38-8-generic
Compiler: cc
Comment 1 Dominik Haumann 2011-06-25 10:06:12 UTC
Git commit 0ecf79002ed42a90b1fbe3501749acbb6ff337c9 by Dominik Haumann.
Committed on 25/06/2011 at 12:04.
Pushed by dhaumann into branch 'master'.

documents tab: show correct icon in list mode

BUG: 273270

M  +1    -0    kate/plugins/filetree/katefiletreemodel.cpp     

http://commits.kde.org/kate/0ecf79002ed42a90b1fbe3501749acbb6ff337c9